DelegatingPropertyMutator (Jackson module: Afterburner 2.12.0 API)
Date: 2020-11-28

com.fasterxml.jackson.module.afterburner.deser

## Class DelegatingPropertyMutator

- java.lang.Object
- - com.fasterxml.jackson.module.afterburner.deser.BeanPropertyMutator
  - - com.fasterxml.jackson.module.afterburner.deser.DelegatingPropertyMutator

-     public final class DelegatingPropertyMutator
      extends BeanPropertyMutator

  Fallback mutator used as replacement in case a "broken" mutator (failure via couple of well-known indicators of broken generated mutator) is encountered
  Since:
    2.9

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.deser.SettableBeanProperty` | `_fallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingPropertyMutator(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `booleanField(Object bean, int propertyIndex, boolean value)`
    `void` | `booleanSetter(Object bean, int propertyIndex, boolean value)`
    `void` | `intField(Object bean, int propertyIndex, int value)`
    `void` | `intSetter(Object bean, int propertyIndex, int value)`
    `void` | `longField(Object bean, int propertyIndex, long value)`
    `void` | `longSetter(Object bean, int propertyIndex, long value)`
    `void` | `objectField(Object bean, int propertyIndex, Object value)`
    `void` | `objectSetter(Object bean, int propertyIndex, Object value)`
    `void` | `stringField(Object bean, int propertyIndex, String value)`
    `void` | `stringSetter(Object bean, int propertyIndex, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _fallback

          protected final com.fasterxml.jackson.databind.deser.SettableBeanProperty _fallback

  - ### Constructor Detail

    - #### DelegatingPropertyMutator

          public DelegatingPropertyMutator(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

  - ### Method Detail

    - #### intSetter

          public void intSetter(Object bean,
                                int propertyIndex,
                                int value)
                         throws IOException

      Overrides:
        `intSetter` in class `BeanPropertyMutator`
      Throws:
        `IOException`

    - #### longSetter

          public void longSetter(Object bean,
                                 int propertyIndex,
                                 long value)
                          throws IOException

      Overrides:
        `longSetter` in class `BeanPropertyMutator`
      Throws:
        `IOException`

    - #### booleanSetter

          public void booleanSetter(Object bean,
                                    int propertyIndex,
                                    boolean value)
                             throws IOException

      Overrides:
        `booleanSetter` in class `BeanPropertyMutator`
      Throws:
        `IOException`

    - #### stringSetter

          public void stringSetter(Object bean,
                                   int propertyIndex,
                                   String value)
                            throws IOException

      Overrides:
        `stringSetter` in class `BeanPropertyMutator`
      Throws:
        `IOException`

    - #### objectSetter

          public void objectSetter(Object bean,
                                   int propertyIndex,
                                   Object value)
                            throws IOException

      Overrides:
        `objectSetter` in class `BeanPropertyMutator`
      Throws:
        `IOException`

    - #### intField

          public void intField(Object bean,
                               int propertyIndex,
                               int value)
                        throws IOException

      Overrides:
        `intField` in class `BeanPropertyMutator`
      Throws:
        `IOException`

    - #### longField

          public void longField(Object bean,
                                int propertyIndex,
                                long value)
                         throws IOException

      Overrides:
        `longField` in class `BeanPropertyMutator`
      Throws:
        `IOException`

    - #### booleanField

          public void booleanField(Object bean,
                                   int propertyIndex,
                                   boolean value)
                            throws IOException

      Overrides:
        `booleanField` in class `BeanPropertyMutator`
      Throws:
        `IOException`

    - #### stringField

          public void stringField(Object bean,
                                  int propertyIndex,
                                  String value)
                           throws IOException

      Overrides:
        `stringField` in class `BeanPropertyMutator`
      Throws:
        `IOException`

    - #### objectField

          public void objectField(Object bean,
                                  int propertyIndex,
                                  Object value)
                           throws IOException

      Overrides:
        `objectField` in class `BeanPropertyMutator`
      Throws:
        `IOException`

Copyright © 2020 FasterXML. All rights reserved.